import sys
from os import path

confdir = path.abspath(path.dirname(__file__))
sys.path.append(confdir)

from config import LocalBuildConfiguration  # noqa: E402


class RedHatLocalBuild(LocalBuildConfiguration):
    KOJI_PROFILE = 'brew'
    PDC_URL = 'https://pdc.engineering.redhat.com/rest_api/v1'
    RPMS_DEFAULT_REPOSITORY = 'git://pkgs.devel.redhat.com/rpms/'
    RPMS_DEFAULT_CACHE = 'http://pkgs.devel.redhat.com/repo/pkgs/'
    MODULES_DEFAULT_REPOSITORY = 'git://pkgs.devel.redhat.com/modules/'
    SCMURLS = ['git://pkgs.devel.redhat.com/modules/']
    MBS_URL = "https://mbs.engineering.redhat.com/module-build-service/1/module-builds/"
    DISTGITS = {
        'git://pkgs.fedoraproject.org': ('fedpkg clone --anonymous {}',
                                         'fedpkg --release module sources'),
        'git://pkgs.devel.redhat.com': ('rhpkg clone --anonymous {}',
                                        'rhpkg --release module sources'),
    }
    KOJI_EXTERNAL_REPO_URL_PREFIX = 'http://download.lab.bos.redhat.com/brewroot/'


class RedHatStageLocalBuild(LocalBuildConfiguration):
    KOJI_PROFILE = 'brew-stage'
    PDC_URL = 'https://pdc.stage.engineering.redhat.com/rest_api/v1'
    RPMS_DEFAULT_REPOSITORY = 'git://dist-git.host.stage.eng.bos.redhat.com/rpms/'
    RPMS_DEFAULT_CACHE = 'http://dist-git.host.stage.eng.bos.redhat.com/repo/pkgs/'
    MODULES_DEFAULT_REPOSITORY = 'git://dist-git.host.stage.eng.bos.redhat.com/modules/'
    SCMURLS = ['git://dist-git.host.stage.eng.bos.redhat.com/modules/']
    MBS_URL = "https://mbs.stage.engineering.redhat.com/module-build-service/1/module-builds/"
    DISTGITS = {
        'git://pkgs.fedoraproject.org': ('fedpkg clone --anonymous {}',
                                         'fedpkg --release module sources'),
        'git://pkgs.devel.redhat.com': ('rhpkg clone --anonymous {}',
                                        'rhpkg --release module sources'),
        'git://dist-git.host.stage.eng.bos.redhat.com': (
            'rhpkg-stage clone --anonymous {}',
            'rhpkg-stage --release module sources'),
    }
    KOJI_EXTERNAL_REPO_URL_PREFIX = 'http://download.lab.bos.redhat.com/brewroot/'
